API ReferenceParticipant issuer certificates
Update a participant issuer certificate
PUT
Update a specific issuer certificate for the specified participant.
Roles
admindts-providercertificate-manager
Analytics Events
ECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_STARTECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_SUCCESSECOSYSTEM_PARTICIPANT_ISSUER_CERTIFICATE_UPDATE_FAIL
bearerAuthheader
AuthorizationBearer <token>participantId*stringThe UUID of the participant
Format
uuidecosystemId*stringThe UUID of the ecosystem
Format
uuidissuerCertificateId*stringUnique identifier of the participant issuer certificate.
Format
uuidapplication/json- body
status?stringThe status of the issuer certificate.
Value in
"Active""Inactive""Delisted"docTypes?array<>Document types that the certificate is permitted to issue.
Participant issuer certificate updated
application/json- response
id*stringUnique identifier of the issuer certificate.
Format
uuidcertificateFingerprint*stringSHA-256 hash fingerprint of the certificate.
certificatePem*stringThe issuer certificate in PEM format.
status*stringThe status of the issuer certificate.
Value in
"Active""Inactive""Delisted"docTypes*array<>Document types that the certificate is permitted to issue.
linkCertificateInfo?Details of the link certificate tying this certificate to its predecessor, present only when the certificate was added as a successor.
curl -X PUT "https://example.com/v1/ecosystems/87880d7e-a4d0-462e-8383-3f1e5e16865d/participants/a24e391a-c27f-4b6e-9805-1ee7e03f3c58/issuer-certificates/3b5b1a6a-1b1a-4b1a-8b1a-1b1a4b1a8b1a" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "3b5b1a6a-1b1a-4b1a-8b1a-1b1a4b1a8b1a", "certificateFingerprint": "57B178A6C2B8C1877DBA515AD4FD60F9C805EFC309287182DB7DEBFE43A22928", "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\nEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwHhcNMjMwODA4MDAwOTIxWhcNMzMwODA1\r\nMDAwOTIxWjAgMR4wCQYDVQQGEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwWTATBgcq\r\nhkjOPQIBBggqhkjOPQMBBwNCAASRu69fzdgM4odkyPtRcZd3eGWCw4BB7StZNGRm\r\nuIlrraUyv9SWPHgUYjYmRB1g7ERzj/pOSAspk71Y+QA+j9nPo4GJMIGGMBIGA1Ud\r\nEwEB/wQIMAYBAf8CAQMwDgYDVR0PAQH/BAQDAgAGMB0GA1UdDgQWBBSONcHGh4If\r\nO1dYorRpsuFrs+f8SDAcBgNVHRIEFTATgRFpbmZvQG1hdHRyLmdsb2JhbDAjBgNV\r\nHR8EHDAaMBiiFoYUaHR0cHM6Ly9tYXR0ci5nbG9iYWwwCgYIKoZIzj0EAwIDSQAw\r\nRgIhAPKJIGDSvp7VxRBLCWWeghqi8UUeO+dZsC49TUZcDMNxAiEAoh+7dT+l+GzX\r\nk0J2SoGmPiagrbAuIYyTHwzZZuYr1W4=\r\n-----END CERTIFICATE-----\r\n", "status": "Inactive", "docTypes": [ { "value": "org.iso.18013.5.1" } ], "linkCertificateInfo": { "issuerCertificateId": "3b5b1a6a-1b1a-4b1a-8b1a-1b1a4b1a8b1a", "certificatePem": "-----BEGIN CERTIFICATE-----\r\nMIIBwzCCAWigAwIBAgIKRGC+CqoTGJKkkTAKBggqhkjOPQQDAjAgMR4wCQYDVQQG\r\nEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwHhcNMjMwODA4MDAwOTIxWhcNMzMwODA1\r\nMDAwOTIxWjAgMR4wCQYDVQQGEwJOWjARBgNVBAMTCk1BVFRSIElBQ0EwWTATBgcq\r\nhkjOPQIBBggqhkjOPQMBBwNCAASRu69fzdgM4odkyPtRcZd3eGWCw4BB7StZNGRm\r\nuIlrraUyv9SWPHgUYjYmRB1g7ERzj/pOSAspk71Y+QA+j9nPo4GJMIGGMBIGA1Ud\r\nEwEB/wQIMAYBAf8CAQMwDgYDVR0PAQH/BAQDAgAGMB0GA1UdDgQWBBSONcHGh4If\r\nO1dYorRpsuFrs+f8SDAcBgNVHRIEFTATgRFpbmZvQG1hdHRyLmdsb2JhbDAjBgNV\r\nHR8EHDAaMBiiFoYUaHR0cHM6Ly9tYXR0ci5nbG9iYWwwCgYIKoZIzj0EAwIDSQAw\r\nRgIhAPKJIGDSvp7VxRBLCWWeghqi8UUeO+dZsC49TUZcDMNxAiEAoh+7dT+l+GzX\r\nk0J2SoGmPiagrbAuIYyTHwzZZuYr1W4=\r\n-----END CERTIFICATE-----\r\n", "certificateFingerprint": "57B178A6C2B8C1877DBA515AD4FD60F9C805EFC309287182DB7DEBFE43A22928" }}How would you rate this page?